#! /usr/bin/perl

#$Id: autogen.pl,v 1.1 2002/09/09 18:32:20 itz Exp $

use POSIX;
use Text::Template;
use FileHandle;
use String::Escape qw(printable);

$progname = "xcolorsel-gtk";
$whatis = "A lightweight gtk color selection program independent of GNOME.";
$email = q(itz@speakeasy.org);

$t_copy = new Text::Template(TYPE => FILE, SOURCE => 'COPYING.pl', DELIMITERS => ['{*','*}']);
$copy = $t_copy->fill_in();

foreach $output (@ARGV) {
    $template = new Text::Template(TYPE => FILE, SOURCE => "$output.pl", DELIMITERS => ['{*','*}']);
    $outfile = new FileHandle($output,"w");
    $outfile or die "$outfile: $!\n";
    $template->fill_in(OUTPUT => $outfile);
    $outfile->close();
}
